/*
 * Copyright 2012 Eric Olander
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.scala.sound.midi

/**
 * Provides symbolic names for midi note numbers
 * As0 == A sharp midi octave 0
 * Bb0 == B flat midi octave 0
 */
object Notes {
  val A0 = 21
  val As0 = 22
  val Bb0 = 22
  val B0 = 23
  val C1 = 24
  val Cs1 = 25
  val Db1 = 25
  val D1 = 26
  val Ds1 = 27
  val Eb1 = 27
  val E1 = 28
  val F1 = 29
  val Fs1 = 30
  val Gb1 = 30
  val G1 = 31
  val Gs1 = 32
  val Ab1 = 32
  val A1 = 33
  val As1 = 34
  val Bb1 = 34
  val B1 = 35
  val C2 = 36
  val Cs2 = 37
  val Db2 = 37
  val D2 = 38
  val Ds2 = 39
  val Eb2 = 39
  val E2 = 40
  val F2 = 41
  val Fs2 = 42
  val Gb2 = 42
  val G2 = 43
  val Gs2 = 44
  val Ab2 = 44
  val A2 = 45
  val As2 = 46
  val Bb2 = 46
  val B2 = 47
  val C3 = 48
  val Cs3 = 49
  val Db3 = 49
  val D3 = 50
  val Ds3 = 51
  val Eb3 = 51
  val E3 = 52
  val F3 = 53
  val Fs3 = 54
  val Gb3 = 54
  val G3 = 55
  val Gs3 = 56
  val Ab3 = 56
  val A3 = 57
  val As3 = 58
  val Bb3 = 58
  val B3 = 59
  val C4 = 60
  val Cs4 = 61
  val Db4 = 61
  val D4 = 62
  val Ds4 = 63
  val Eb4 = 63
  val E4 = 64
  val F4 = 65
  val Fs4 = 66
  val Gb4 = 66
  val G4 = 67
  val Gs4 = 68
  val Ab4 = 68
  val A4 = 69
  val As4 = 70
  val Bb4 = 70
  val B4 = 71
  val C5 = 72
  val Cs5 = 73
  val Db5 = 73
  val D5 = 74
  val Ds5 = 75
  val Eb5 = 75
  val E5 = 76
  val F5 = 77
  val Fs5 = 78
  val Gb5 = 78
  val G5 = 79
  val Gs5 = 80
  val Ab5 = 80
  val A5 = 81
  val As5 = 82
  val Bb5 = 82
  val B5 = 83
  val C6 = 84
  val Cs6 = 85
  val Db6 = 85
  val D6 = 86
  val Ds6 = 87
  val Eb6 = 87
  val E6 = 88
  val F6 = 89
  val Fs6 = 90
  val Gb6 = 90
  val G6 = 91
  val Gs6 = 92
  val Ab6 = 92
  val A6 = 93
  val As6 = 94
  val Bb6 = 94
  val B6 = 95
  val C7 = 96
  val Cs7 = 97
  val Db7 = 97
  val D7 = 98
  val Ds7 = 99
  val Eb7 = 99
  val E7 = 100
  val F7 = 101
  val Fs7 = 102
  val Gb7 = 102
  val G7 = 103
  val Gs7 = 104
  val Ab7 = 104
  val A7 = 105
  val As7 = 106
  val Bb7 = 106
  val B7 = 107
  val C8 = 108

}